textures/madjumps_liquids/lava_bright
{
    qer_editorimage textures/madjumps_v1/lava_bg.tga
    qer_nocarve
    q3map_globaltexture
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm lava
    surfaceparm nolightmap
    q3map_surfacelight 600
    q3map_tesssize 96
    cull disable
    {
        map textures/madjumps_v1/lava_bg.tga
        tcmod scale 0.10 0.10
        tcmod scroll 0.04 0.03
        tcMod turb 0 0.02 0 0.01
        blendFunc gl_one gl_zero
        rgbGen identity
    }
    {
        map textures/madjumps_v1/lava_fg.tga
        blendfunc blend
        tcMod turb 0 0.15 0 0.1
    }
}

textures/madjumps_liquids/lava_nol
{
    qer_editorimage textures/madjumps_v1/lava_bg.tga
    qer_nocarve
    q3map_globaltexture
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm lava
    surfaceparm nolightmap
    q3map_tesssize 96
    cull disable
    {
        map textures/madjumps_v1/lava_bg.tga
        tcmod scale 0.10 0.10
        tcmod scroll 0.04 0.03
        tcMod turb 0 0.02 0 0.01
        blendFunc gl_one gl_zero
        rgbGen identity
    }
    {
        map textures/madjumps_v1/lava_fg.tga
        blendfunc blend
        tcMod turb 0 0.15 0 0.1
    }
}


textures/madjumps_liquids/clrip3
	{
		qer_editorimage textures/madjumps_v1/water.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
	
		cull disable
		deformVertexes wave 64 sin .5 .5 0 .5	
		
		{ 
			map textures/madjumps_v1/pool3d_5.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/madjumps_v1/pool3d_6.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			map textures/madjumps_v1/pool3d_3.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}
	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
	

}

textures/madjumps_teleporter/tp1
{
	qer_editorimage textures/madjumps_v1/starfield1.tga
	surfaceparm nodlights
	surfaceparm noimpact 
	q3map_surfacelight 500
	// first pass
	{
		map textures/madjumps_v1/starscroll1.tga
		//      tcmod scroll <sSpeed><tSpeed>
		tcmod scroll 1 0
		
	}	
	// second pass
	{
		map textures/madjumps_v1/starscroll2.tga
		//      tcmod scroll <sSpeed><tSpeed>
		tcmod scroll 0.75 0
		blendfunc add
	}	
	// third pass
	{
		map textures/madjumps_v1/starscroll1.tga
		//      tcmod scroll <sSpeed><tSpeed>
		tcmod scroll 0.5 0
		blendfunc add
	}	
}

textures/madjumps_lights/light01
{
	qer_editorImage textures/madjumps_v1/lightcolumn.tga
	surfaceparm nodamage
    	q3map_surfacelight 700
	
	{
		map textures/madjumps_v1/lightcolumn.tga
		}
        {
            map $lightmap
            blendFunc filter
            rgbgen identity
        }
}

textures/madjumps_lights/light02_bright
{
	qer_editorImage textures/madjumps_v1/lightcolumn.tga
	surfaceparm nodamage
    	q3map_surfacelight 700
	
	{
		map textures/madjumps_v1/lightcolumn.tga
		}
        {
            map $lightmap
            blendFunc filter
            rgbgen identity
        }
}

textures/madjumps_lights/glassblock8_bright
{
	qer_editorImage textures/madjumps_v1/glassblock08.tga
	surfaceparm nodamage
    	q3map_surfacelight 700
	
	{
		map textures/madjumps_v1/glassblock08.tga
		}
        {
            map $lightmap
            blendFunc GL_ONE GL_ONE
            rgbgen identity
        }
}

textures/madjumps_lights/glassblock11_bright
{
	qer_editorImage textures/madjumps_v1/glassblock11.tga
	surfaceparm nodamage
    	q3map_surfacelight 700
	
	{
		map textures/madjumps_v1/glassblock11.tga
		}
        {
            map $lightmap
            blendFunc GL_ONE GL_ONE
            rgbgen identity
        }
}

textures/madjumps_nofall/floor90
{
	qer_editorImage textures/madjumps_v1/floor090.tga
	surfaceparm nodamage
	{
		map textures/madjumps_v1/floor090.tga
		}
        {
            map $lightmap
            blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
            rgbgen identity
        }
}

textures/madjumps_nofall/floor112
{
	qer_editorImage textures/madjumps_v1/floor112.tga
	surfaceparm nodamage
	{
		map textures/madjumps_v1/floor112.tga
		}
        {
            map $lightmap
            blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
            rgbgen identity
        }
}

textures/madjumps_nofall/floor110
{
	qer_editorImage textures/madjumps_v1/floor110.tga
	surfaceparm nodamage
	{
		map textures/madjumps_v1/floor110.tga
		}
        {
            map $lightmap
            blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
            rgbgen identity
        }
}

textures/madjumps_nofall/babel-trim3b
{
	qer_editorImage textures/madjumps_v1/babel-trim3b.tga
	surfaceparm nodamage
	{
		map textures/madjumps_v1/babel-trim3b.tga
		}
        {
            map $lightmap
            blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
            rgbgen identity
        }
}

textures/madjumps_nofall/crate3
{
	qer_editorImage textures/madjumps_v1/crate3.tga
	surfaceparm nodamage
	{
		map textures/madjumps_v1/crate3.tga
		}
        {
            map $lightmap
            blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
            rgbgen identity
        }
}

textures/madjumps_nofall/floor080
{
	qer_editorImage textures/madjumps_v1/floor080.tga
	surfaceparm nodamage
	{
		map textures/madjumps_v1/floor080.tga
		}
        {
            map $lightmap
            blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
            rgbgen identity
        }
}

textures/madjumps_hollow/floor063
{
	qer_editorImage textures/madjumps_v1/floor063.tga
	surfaceparm detail
	surfaceparm nonsolid
	{
		map textures/madjumps_v1/floor063.tga
		}
        {
            map $lightmap
            blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
            rgbgen identity
        }
}


textures/madjumps_liquids/lavacaulk
{
    qer_editorimage textures/madjumps_v1/qer_lava.tga
    qer_trans 0.5
    qer_nocarve
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm lava
    surfaceparm nodraw
    surfaceparm nolightmap
}

textures/madjumps_liquids/watercaulk
{
	qer_trans 0.40
	qer_editorimage textures/madjumps_v1/watercaulk.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water
}

textures/madjumps_misc/ladderclip
{
          qer_editorimage textures/madjumps_v1/ladderclip.tga
          qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
	surfaceparm trans
}

textures/madjumps_slick/ice1
{
	qer_editorImage textures/madjumps_v1/ice1.tga
	surfaceparm nodamage
	surfaceparm slick
	{
		map textures/madjumps_v1/ice1.tga
		}
        {
            map $lightmap
            blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
            rgbgen identity
        }
}
